<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;ResultSets>&lt;resultSet queryID="query">&lt;row>&lt;id>17&lt;/id>&lt;displayName>ck&lt;/displayName>&lt;visibility>u&lt;/visibility>&lt;description>ck&lt;/description>&lt;FILTERS>&amp;lt;filters&amp;gt;&amp;lt;filter&amp;gt;&amp;lt;key&amp;gt;displayName&amp;lt;/key&amp;gt;&amp;lt;operator&amp;gt;=&amp;lt;/operator&amp;gt;&amp;lt;value&amp;gt;Zoo&amp;lt;/value&amp;gt;&amp;lt;/filter&amp;gt;&amp;lt;filter&amp;gt;&amp;lt;key&amp;gt;createdByUserDisplayName&amp;lt;/key&amp;gt;&amp;lt;operator&amp;gt;=&amp;lt;/operator&amp;gt;&amp;lt;value&amp;gt;BPC Administrator&amp;lt;/value&amp;gt;&amp;lt;/filter&amp;gt;&amp;lt;/filters&amp;gt;&lt;/FILTERS>&lt;createdOn>2017-11-01T09:18:43Z&lt;/createdOn>&lt;createdByUserId>bpcadmin&lt;/createdByUserId>&lt;createdByUserDisplayName>BPC Administrator&lt;/createdByUserDisplayName>&lt;lastUpdatedOn>2017-11-01T09:18:43Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUserId>bpcadmin&lt;/lastUpdatedByUserId>&lt;lastUpdatedByUserDisplayName>BPC Administrator&lt;/lastUpdatedByUserDisplayName>&lt;/row>&lt;/resultSet>&lt;/ResultSets></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1509527923449</Property>
		<Property name="ISWorkflowName">VAM_am_056_getQuery</Property>
		<Property name="ISModuleName">VAM_am_demultiplexer</Property>
		<Property name="ISModuleId">573818</Property>
		<Property name="ISProcessId">3371899</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">3371899</Property>
		<Property name="ISInvokingWorkflow">VAM_am_055_createQuery</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_056_getQuery</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="id">17</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;parameters>&lt;query>&lt;visibility>user&lt;/visibility>&lt;description>ck&lt;/description>&lt;filters>&lt;filter>&lt;key>displayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>Zoo&lt;/value>&lt;/filter>&lt;filter>&lt;key>createdByUserDisplayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>BPC Administrator&lt;/value>&lt;/filter>&lt;/filters>&lt;/query>&lt;return>true&lt;/return>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1509527923314&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>BPC Administrator&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>VAM-administrator&lt;/role>&lt;role>Power User&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>User&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration/>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>  
  &lt;xsl:output method="xml" encoding="UTF-8"/>  
  &lt;xsl:param name="var.session" as="element()"/>

  &lt;xsl:template match="/*">&lt;xsl:variable name="var.query" select="resultSet[@queryID = 'query']/row" as="element()?"/>&lt;body>&lt;xsl:if test="exists($var.query)">&lt;query> 
      &lt;id> 
        &lt;xsl:value-of select="$var.query/ID"/> 
      &lt;/id>  
      &lt;displayName> 
        &lt;xsl:value-of select="$var.query/DISPLAYNAME"/> 
      &lt;/displayName>  
      &lt;visibility> 
        &lt;xsl:choose>
          &lt;xsl:when test="$var.query/VISIBILITY = 'o'">organization&lt;/xsl:when>
          &lt;xsl:when test="$var.query/VISIBILITY = 's'">system&lt;/xsl:when>
          &lt;xsl:when test="$var.query/VISIBILITY = 'u'">user&lt;/xsl:when>
        &lt;/xsl:choose>
      &lt;/visibility>  
      &lt;description>&lt;xsl:value-of select="$var.query/DESCRIPTION"/>&lt;/description>&lt;filters> 
        &lt;xsl:for-each select="am:stringToNode($var.query/FILTERS)/filter"> 
          &lt;filter>&lt;key>
              &lt;xsl:value-of select="key"/>
            &lt;/key>&lt;operator>
              &lt;xsl:value-of select="operator"/>
            &lt;/operator>&lt;xsl:choose>
              &lt;xsl:when test="exists(value)">
                &lt;value>
                  &lt;xsl:value-of select="value"/>
                &lt;/value>
              &lt;/xsl:when>
              &lt;xsl:when test="exists(values)">
                &lt;values>
                  &lt;xsl:for-each select="values/value">
                    &lt;value>
                      &lt;xsl:value-of select="."/>
                    &lt;/value>
                  &lt;/xsl:for-each>
                &lt;/values>
              &lt;/xsl:when>
            &lt;/xsl:choose>&lt;/filter>
        &lt;/xsl:for-each> 
      &lt;/filters>  
        
      &lt;createdOn> 
        &lt;xsl:value-of select="$var.query/CREATEDON"/> 
      &lt;/createdOn>  
      &lt;createdByUser> 
        &lt;id> 
          &lt;xsl:value-of select="$var.query/CREATEDBYUSERID"/> 
        &lt;/id>  
        &lt;displayName> 
          &lt;xsl:value-of select="$var.query/CREATEDBYUSERDISPLAYNAME"/> 
        &lt;/displayName> 
      &lt;/createdByUser>  
      &lt;lastUpdatedOn> 
        &lt;xsl:value-of select="$var.query/LASTUPDATEDON"/> 
      &lt;/lastUpdatedOn>  
      &lt;lastUpdatedByUser> 
        &lt;id> 
          &lt;xsl:value-of select="$var.query/LASTUPDATEDBYUSERID"/> 
        &lt;/id>  
        &lt;displayName> 
          &lt;xsl:value-of select="$var.query/LASTUPDATEDBYUSERDISPLAYNAME"/> 
        &lt;/displayName> 
      &lt;/lastUpdatedByUser> 
    &lt;/query>&lt;/xsl:if>&lt;/body> 
     
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>